Retrieve all InfiniBand Partitions

View as Markdown

Retrieve all InfiniBand Partitions for the org

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org

Query parameters

siteIdstringOptionalformat: "uuid"
Filter Partitions by Site
statusstringOptional
Filter Partitions by Status
querystringOptional
Search for matches across all InfiniBand Partitions. Input will be matched against name, description, and status fields
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique UUID v4 identifier for the InfiniBand Partition
namestringOptional2-256 characters
Name of the InfiniBand Partition
descriptionstring or nullOptional
Description of the InfiniBand Partition
siteIdstringOptionalformat: "uuid"
ID of the Site
tenantIdstringOptionalformat: "uuid"
ID of the Tenant
controllerIBPartitionIdstring or nullOptionalformat: "uuid"
ID of the Site Controller InfiniBand partition corresponding to this InfiniBand Partition
partitionKeystring or nullOptionalRead-only
Partition key assigned to the InfiniBand Partition
partitionNamestring or nullOptionalRead-only
Partition name assigned to the InfiniBand Partition
serviceLevelinteger or nullOptionalRead-only0-15
Service level configured for the InfiniBand Partition
rateLimitenumOptionalRead-only
Rate limit configured for the InfiniBand Partition
mtuenumOptionalRead-only
MTU configured for the InfiniBand Partition
enableSharpbooleanOptionalRead-only
Whether SHARP is enabled for the InfiniBand Partition
labelsmap from strings to stringsOptional

String key-value pairs describing InfiniBand Partition labels. Up to 10 key-value pairs can be specified

statusenumOptional
Status of the InfiniBand Partition
statusHistorylist of objectsOptionalRead-only
Chronological status history for the InfiniBand Partition
createddatetimeOptionalRead-only

Date/time when the InfiniBand Partition was created

updateddatetimeOptionalRead-only

Date/time when the InfiniBand Partition was last updated

Errors

403
Forbidden Error